List Kubernetes Cluster Restores

List Kubernetes Cluster Restores

API code: LIST_KUBERNETES_CLUSTER_RESTORES
Pre-authorized role(s): TENANT_USER | TENANT_ADMIN
Platform(s): AMAZON | OSIS | CLOUDIAN | ECS

Request
URI
GET
https://{api_host}//api/v1/k8s/clusters/{clusterId}/restores
COPY
Path Parameters
string
clusterId
Required

The ID of the protected Kubernetes cluster.

Query Parameters
integer
offset
Optional

The start index of items to return for the current page.

integer
limit
Optional

The max count of items to return for the current page.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PageRestore of type(s) */*
{
    "items": [
        {
            "metadata": {
                "name": "string",
                "namespace": "string",
                "resourceVersion": "string"
            },
            "spec": {
                "backupName": "string",
                "scheduleName": "string",
                "restorePVs": false,
                "excludedNamespaces": [
                    "string"
                ]
            },
            "status": {
                "phase": "string",
                "validationErrors": [
                    "string"
                ],
                "warnings": 0,
                "errors": 0,
                "failureReason": "string",
                "startTimestamp": "string",
                "completionTimestamp": "string",
                "totalItems": 0,
                "itemsBackedUp": 0
            }
        }
    ],
    "pageInfo": {
        "offset": 0,
        "limit": 0,
        "total": 0
    }
}
array of Restore
items
Optional

items

pageInfo
Optional

pageInfo